Workspaces
List Workspaces
get
/workspaces
Query Parameters
| limit int |
The number of items returned in the response. Defaults to 100. |
| offset int |
The number of items to skip before starting to return results. Defaults to 0. |
Example Request
curl "https://{yourname}.api.adglare.app/v2/workspaces"
-H "Authorization: Bearer {api_key}"
-H "Authorization: Bearer {api_key}"
HTTP 200 Example Response
Get a single workspace
get
/workspaces/{id}
Path Parameters
| id int, required |
The ID of the workspace. |
Example Request
curl "https://{yourname}.api.adglare.app/v2/workspaces/{id}"
-H "Authorization: Bearer {api_key}"
-H "Authorization: Bearer {api_key}"
HTTP 200 Example Response
Create a Workspace
post
/workspaces
Request Body (JSON)
| name string, required |
The name of the workspace. |
Example Request
curl "https://{yourname}.api.adglare.app/v2/workspaces"
-X POST
-H "Content-Type: application/json"
-H "Authorization: Bearer {api_key}"
-d '{
"name": "My workspace"
}'
-X POST
-H "Content-Type: application/json"
-H "Authorization: Bearer {api_key}"
-d '{
"name": "My workspace"
}'
HTTP 201 Example Response
Update a Workspace
put
/workspaces/{id}
Path Parameters
| id int, required |
The ID of the workspace. |
Request Body (JSON)
| name string, required |
The name of the workspace. |
Example Request
curl "https://{yourname}.api.adglare.app/v2/workspaces/{id}"
-X PUT
-H "Content-Type: application/json"
-H "Authorization: Bearer {api_key}"
-d '{
"name": "My workspace"
}'
-X PUT
-H "Content-Type: application/json"
-H "Authorization: Bearer {api_key}"
-d '{
"name": "My workspace"
}'
HTTP 204 Example Response
Delete a Workspace
delete
/workspaces/{id}
Path Parameters
| id int, required |
The ID of the workspace. |
Example Request
curl "https://{yourname}.api.adglare.app/v2/workspaces/{id}"
-X DELETE
-H "Authorization: Bearer {api_key}"
-X DELETE
-H "Authorization: Bearer {api_key}"
HTTP 204 Example Response
